Package org.springframework.cglib.transform

# Class TransformingClassGenerator

java.lang.Object
org.springframework.cglib.transform.TransformingClassGenerator

All Implemented Interfaces:
  `ClassGenerator`

public class TransformingClassGenerator extends Object implements ClassGenerator

## Constructor Summary

Constructors
Constructor
Description
`TransformingClassGenerator(ClassGenerator gen, ClassTransformer t)`

## Method Summary

Modifier and Type
Method
Description
`void`
`generateClass(ClassVisitor v)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TransformingClassGenerator

public TransformingClassGenerator(ClassGenerator gen, ClassTransformer t)

## Method Details

### generateClass

public void generateClass(ClassVisitor v) throws Exception

Specified by:
  `generateClass` in interface `ClassGenerator`
Throws:
  `Exception`